<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{

     protected $fillable = [
        'project_id',
        'user_id',
        'payment_method',
        'payment_date',
        'transaction_id',
        'sender_name',
        'sender_account',
        'payment_reference',
        'notes',
        'status',
        'branch_id',
        'payment_screenshot'
    ];

    public function project()
    {
        return $this->belongsTo(Project::class);
    }
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
